SDL_JoyButtonEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_JoystickID | which
Uint8 | button
Uint8 | state
Uint8 | padding1
Uint8 | padding2

## Detailed Description

Joystick button event structure (event.jbutton.*)

Definition at line 402 of file SDL_events.h.

## Field Documentation

## button

Uint8 SDL_JoyButtonEvent::button

The joystick button index

Definition at line 407 of file SDL_events.h.

## padding1

Uint8 SDL_JoyButtonEvent::padding1

Definition at line 409 of file SDL_events.h.

## padding2

Uint8 SDL_JoyButtonEvent::padding2

Definition at line 410 of file SDL_events.h.

## state

Uint8 SDL_JoyButtonEvent::state

SDL_PRESSED or SDL_RELEASED

Definition at line 408 of file SDL_events.h.

## timestamp

Uint32 SDL_JoyButtonEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 405 of file SDL_events.h.

## type

Uint32 SDL_JoyButtonEvent::type

SDL_JOYBUTTONDOWN or SDL_JOYBUTTONUP

Definition at line 404 of file SDL_events.h.

## which

SDL_JoystickID SDL_JoyButtonEvent::which

The joystick instance id

Definition at line 406 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h